# Publish wellbores

Publish wellbores

Endpoint: POST /v1/ingress/data-sources/{dataSource}/wellbores
Version: v1
Security: bearer, appkey, sauth_service_token

## Security:

  - `bearer` (unknown)
    http bearer JWT

  - `appkey` (unknown)
    apiKey in header appkey

  - `sauth_service_token` (unknown)
    oauth2

## Path parameters:

  - `dataSource` (string, required)
    data source name

## Header parameters:

  - `slb-partition-id` (string, required)
    The data partition id.

## Request body:

  - `application/json, text/json, application/*+json` (unknown)
    wellbore data list

## Request fields (application/json):

  - `id` (string, required)

  - `name` (string, required)

  - `link` (string)
    URL of the source editor, drillplan will use this value let the user navigate to source and do the data modificaiton.

  - `timestamp` (string)
    object last modify time, drillplan will compare this value and the last modify time in drillplan, to decide if the source data is newer.

  - `fetchable` (boolean)

  - `comments` (string)

  - `well_id` (string, required)
    Id of the well which this wellbore belongs to.

  - `ubhi` (string)
    Unique borehole identifier.

  - `wellbore_status` (string)
    Enum: "Unknown", "Abandoned", "Active", "Completed", "Proposed", "Tight"

  - `parent_wellbore_id` (string)
    indicate the wellbore parent wellbore id, if null, current wellbore is root wellbore of the well.

  - `kick_off_point_md` (number)
    for sub wellbore, the value indicate where is the kick off point

## Response 204:

  - `204` (unknown)
    Success

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (text/plain):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

  - `errors` (object)

